aracon (aracon) wrote,
aracon
aracon

Сисадминский квест

Сисадминский квест: разрешение зависимостей rpm-пакетов вручную.
Например, хотим мы поставить php5-gd2.
# rpm --install php5-gd2-....rpm
ошибка: неудовлетворенные зависимости:
        libjpeg.so.6 нужен для php5-gd2-...
        libpng12.so.6 нужен для php5-gd2-...
        libt1.so.5 нужен для php5-gd2-...
        libXpm.so нужен для php5-gd2-...


Хорошо. Идём, скачиваем всё это. Ставим.
# rpm --install libjpeg-6b-....rpm
# rpm --install libpng12-....rpm
# rpm --install libjpeg-6b-....rpm
# rpm --install t1lib-....rpm
# rpm --install libXpm-....rpm
ошибка: неудовлетворенные зависимости:
        libXext.so.6 нужен для libXpm-....rpm
        libXdmcp.so.6 нужен для libXpm-....rpm
        libXau.so.6 нужен для libXpm-....rpm
        libXt.so.6 нужен для libXpm-....rpm


Ну и как вы можете догадаться
# rpm --install libXdmcp-....rpm
ошибка: неудовлетворенные зависимости:
        libSM.so.6 нужен для libXdmcp-....rpm

и
# rpm --install libSM-....rpm
ошибка: неудовлетворенные зависимости:
        libICE.so.6 нужен для libSM-....rpm


Собрав всё, ставим с конца в начало и наконец у нас стоит php5-gd :)
Subscribe
  • Post a new comment

    Error

    default userpic

    Your IP address will be recorded 

    When you submit the form an invisible reCAPTCHA check will be performed.
    You must follow the Privacy Policy and Google Terms of use.
  • 0 comments